<template>
    <form>
    <div class="mb-3">
        <label for="exampleInputEmail1" class="form-label">Adresse Email</label>
        <input type="email" class="form-control" aria-describedby="emailHelp" v-model="email">
    </div>
    <div class="mb-3">
        <label for="exampleInputPassword1" class="form-label">Mot de passe</label>
        <input type="password" class="form-control" id="exampleInputPassword1" v-model="password">
    </div>
    <button type="submit" class="btn btn-primary" @click.prevent="login()">Se connecter</button>

    {{ error }}

</form>
</template>

<script>


import { useStore } from '../store/store';
import axios from "axios";
// const { fetchCurrentUser } = useStore()
// console.log(fetchCurrentUser);


export default {
    name: "Login",
    components: {
    },
    
    data() {
        return {
            email: '',  
            password: '',
            error: '',
        }
    },
    methods: {

        login() {
            axios.post('http://localhost:3500/api/login', {
                email: this.email,
                password: this.password,
            })
                .then(response => {
                    // save le token dans le localstorage mtn
                    console.log(response.data);
                    localStorage.setItem('token', response.data.token)
                    localStorage.setItem('user', response.data.userId)
                    const { fetchCurrentUser } = useStore()
                    fetchCurrentUser(response.data.userId)
                    // fetchCurrentUser(response.data.userId);
            
                    this.$router.push('/')
                })
                .catch(error => {
                    console.log(error.response)
                    if(error.response == undefined){
                        this.error = "Erreur serveur, veuillez réessayer plus tard"
                    }
                    this.error = error.response.data.message
                })
        }
    }
}

</script>

<style scoped>

</style>